Skip to main content
POST
Create a Meeting Type

Authorizations

X-API-Key
string
header
required

API key for authentication. Keys are prefixed with nxr_live_.

Path Parameters

id
string<uuid>
required

Workflow identifier.

Body

application/json
name
string
required
Required string length: 1 - 120
description
string | null
duration_minutes
integer
default:30
Required range: 5 <= x <= 480
buffer_after_minutes
integer
default:15
Required range: 0 <= x <= 120
min_notice_hours
integer
default:2
Required range: 0 <= x <= 336
max_days_ahead
integer
default:14
Required range: 1 <= x <= 365
event_title_template
string

Defaults to name.

Required string length: 1 - 300
event_description_template
string | null
location_type
enum<string>
default:video
Available options:
video,
phone,
in_person
video_provider
enum<string> | null
Available options:
google_meet,
teams
location_details
string | null
Maximum string length: 1000
allow_overbooking
boolean
default:false
max_bookings_per_slot
integer | null
Required range: 2 <= x <= 20
color
string
default:#6366F1
Required string length: 1 - 40
agent_selection_criteria
string | null
Required string length: 3 - 2000

Response

Successful response.

success
enum<boolean>
required
Available options:
true
status
enum<string>
required
Available options:
existing
meeting_type
object
required
Last modified on September 8, 2026